<template>
  <div class="cmain">
      <el-form ref="form" :model="form" :rules="rules" label-width="100px">
        <el-form-item label="标题" prop="title">
          <el-input v-model="form.title" placeholder="请输入标题" clearable :disabled="param.readonly" maxlength="20" show-word-limit />
        </el-form-item>
        <el-form-item label="是否置顶" prop="top">
          <el-radio-group v-model="form.top" :disabled="param.readonly">
            <el-radio :label="1">是</el-radio>
            <el-radio :label="0">否</el-radio>
          </el-radio-group>
        </el-form-item>
        <el-form-item label="状态" prop="state">
          <el-radio-group v-model="form.state" :disabled="param.readonly">
            <el-radio :label="1">启用</el-radio>
            <el-radio :label="0">停用</el-radio>
          </el-radio-group>
        </el-form-item>
        <el-form-item label="内容" prop="contents">
          <editor v-model="form.contents" placeholder="请输入内容" :readonly="param.readonly"></editor>
        </el-form-item>
      </el-form>
    <div class="mfooter">
      <el-button type="primary" @click="submitForm">确 定</el-button>
      <el-button @click="$layer.close(layerid)">取 消</el-button>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      form: {},
      rules: {
        title: [
          { required: true, message: "标题不能为空", trigger: "blur" }
        ],
        contents: [
          { required: true, message: "内容不能为空", trigger: "blur" }
        ],
        top: [
          { required: true, message: "是否置顶不能为空", trigger: "blur" }
        ],
        state: [
          { required: true, message: "状态不能为空", trigger: "blur" }
        ],
      }
    };
  },
  props: {
    param: {
      type: Object,
      default: () => {
        return {};
      }
    },
    layerid: {
      type: String
    },
  },
  mounted() {
    if (this.param.id) {
      this.ajax({ url: '/work/notice/detail/' + this.param.id }).then(response => {
        this.form = response.data;
      });
    }
  },
  methods: {
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id) {
              this.ajax({method: 'post',url: '/work/notice/edit', data: this.form }).then(response => {
                  this.$modal.msgSuccess("修改成功");
                  this.$layer.close(this.layerid);
                  this.$parent.getList();
              });
          } else {
              this.ajax({method: 'post',url: '/work/notice/add', data: this.form }).then(response => {
                  this.$modal.msgSuccess("新增成功");
                  this.$layer.close(this.layerid);
                  this.$parent.getList();
               });
          }
        }
      });
    }
  }
};
</script>
